Bug 1059894 - OVIRT-PYTHON-SDK User object lacks 'external_id' parameter that exists in api.xsd
Summary: OVIRT-PYTHON-SDK User object lacks 'external_id' parameter that exists in api...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-sdk
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.4.0
Assignee: Juan Hernández
QA Contact: Ilia Meerovich
URL:
Whiteboard: infra
Depends On:
Blocks: 1024889
TreeView+ depends on / blocked
 
Reported: 2014-01-30 20:50 UTC by Ilia Meerovich
Modified: 2016-07-05 00:06 UTC (History)
7 users (show)

Fixed In Version: ovirt-engine-sdk-python-3.4.0.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-31 12:30:32 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 24646 0 None None None Never

Description Ilia Meerovich 2014-01-30 20:50:56 UTC
rpms:
ovirt-engine-3.4.0-0.5.beta1.el6.noarch
ovirt-engine-sdk-python-3.4.0.2-1.20140114.gitbaccf38.el6

Appears in api.xsd:

<xs:element name="external_id" type="xs:string" minOccurs="0" maxOccurs="1"/>>

doesn't appear in python sdk (and most probably doesn't appear in java sdk too)

Comment 1 Juan Hernández 2014-01-30 21:42:21 UTC
This property has been added after the latest refresh of the SDKs. It will be available in the next release.

Comment 2 Ilia Meerovich 2014-02-17 08:21:48 UTC
raising severity to urgent since it is tier 0 bug

Comment 3 Juan Hernández 2014-02-18 13:50:44 UTC
The packages containing the fix for this issue are available here:

http://jhernand.fedorapeople.org/rpms/ovirt-engine-sdk-python/3.4.0.4-1/

Comment 4 Ilia Meerovich 2014-02-19 08:53:42 UTC
imeerovi@imeerovi ~/git/ART (RHEVM-979-dc-search) $ rpm -q ovirt-engine-sdk-python
ovirt-engine-sdk-python-3.4.0.4-1.el6.noarch
imeerovi@imeerovi ~/git/ART (RHEVM-979-dc-search) $ bpython
>>> from ovirtsdk.xml import params
>>> from ovirtsdk.api import API 
>>> api = API(url='https://ilia-rhevm.qa.lab.tlv.redhat.com:443', username='admin@internal', password='123456', insecure=True) 
>>> usr = api.users.list()[0]
>>> usr.get_external_id()
'fdfc627cd87511e090f083df133b58cc'
>>>

Comment 5 Sandro Bonazzola 2014-03-31 12:30:32 UTC
this is an automated message: moving to Closed CURRENT RELEASE since oVirt 3.4.0 has been released


Note You need to log in before you can comment on or make changes to this bug.